### Method

# EBookContacts VCard get_attributes_by_name

since: 3.60

#### Declaration [src]

    GList*
    e_vcard_get_attributes_by_name (
      EVCard* self,
      const gchar* name
    )

#### Description [src]

Returns all attributes of the name `name` stored in the `self`. See also e_vcard_get_attribute(), which returns the first found attribute only.

The returned `EVCardAttribute` -s are owned by the `self` and they are valid until the `self` changes. The returned `GList` should be freed with g_list_free(), when no longer needed.

Available since: 3.60

#### Parameters

`name`

  Type: `const gchar*`

  An attribute name.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: A list of `EVCardAttribute*`

A new `GList` of `EVCardAttribute` objects, which are named `name` and stored in the `self`, or `NULL`, when the `self` does not contain any such attribute. The attributes are in the list in the order as they appear in the `self`.

The caller of the method takes ownership of the returned data container, but not the data inside it.
The return value can be `NULL`.